package com.ss.android.ugc.aweme.friends.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.profile.model.User;
import java.util.ArrayList;
import java.util.List;

public final class RecommendUserDialogList extends RecommendList {
    @c(LIZ = "next_cursor")
    public int nextCursor;
    @c(LIZ = "users")
    public List<? extends User> recommendUsers;

    static {
        Covode.recordClassIndex(81228);
    }

    public final int getCursor() {
        return this.nextCursor;
    }

    public final int getNextCursor() {
        return this.nextCursor;
    }

    public final List<User> getRecommendUsers() {
        return this.recommendUsers;
    }

    public final List<User> getUserList() {
        if (this.recommendUsers == null) {
            this.recommendUsers = new ArrayList(0);
        }
        return this.recommendUsers;
    }

    public final void setCursor(int i) {
        this.nextCursor = i;
    }

    public final void setNextCursor(int i) {
        this.nextCursor = i;
    }

    public final void setRecommendUsers(List<? extends User> list) {
        this.recommendUsers = list;
    }

    public final void setUserList(List<User> list) {
        this.recommendUsers = list;
    }
}
